Bug 237639 - Wish: All thumbs created in a folder automatically
Summary: Wish: All thumbs created in a folder automatically
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Thumbs-Image (show other bugs)
Version: 1.1.0
Platform: Microsoft Windows Microsoft Windows
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-14 16:47 UTC by Paul Verizzo
Modified: 2016-07-07 21:50 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 1.8.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Verizzo 2010-05-14 16:47:56 UTC
Version:           1.1.0 (using 4.4.00 (KDE 4.4.0), MS Visual Studio 2008 SP1)
Compiler:          cl.exe
OS:                Microsoft Windows (i686) release 5.1 (XP Professional)

At present - at least in the Windows version - when a folder is opened for the first time thumbs are created only for the images that can be seen. Scroll down, and digiKam makes more thumbs, and on it goes.

If you scroll rapidly to the bottom, it makes those thumbs and and leaves everything in between "unthumbed."

Thanks!
Comment 1 caulier.gilles 2010-05-14 16:54:54 UTC
Already reported. Can be applied to Linux.

Gilles Caulier
Comment 2 Marcel Wiesweg 2010-05-15 16:37:35 UTC
SVN commit 1127109 by mwiesweg:

Add facility to automatically preload thumbnails for all entries in the model

CCBUG:237639

 M  +58 -0     imagethumbnailmodel.cpp  
 M  +28 -7     imagethumbnailmodel.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1127109
Comment 3 Paul Verizzo 2010-05-15 16:40:32 UTC
Thanks, I guess, but this non-programmer hasn't a clue what that means!
Comment 4 Marcel Wiesweg 2010-05-15 18:44:04 UTC
There were a few other commits which I forgot to CC here.
Preloading is now enabled for the main view in SVN.
For me it works well, testing should show that it does not have negative performance side effects.